<?xml version="1.0" encoding="UTF-8"?>
<!--
 - scoreboard.xsl for the Refefree Programming Contest Judging System
 - Copyright (C) 2005 Markus Moll
 -
 - This program is free software; you can redistribute it and/or modify
 - it under the terms of the GNU General Public License as published by
 - the Free Software Foundation; either version 2 of the License, or
 - (at your option) any later version.
 - 
 - This program is distributed in the hope that it will be useful,
 - but WITHOUT ANY WARRANTY; without even the implied warranty of
 - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 - GNU General Public License for more details.
 - 
 - You should have received a copy of the GNU General Public License
 - along with this program; if not, write to the Free Software
 - Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns="http://www.w3.org/1999/xhtml">
<xsl:output method="html"/>

<xsl:template match="/">
	<html>
		<head>
			<title>Scoreboard</title>
			<link rel="stylesheet" href="scoreboard.css" type="text/css" />
		</head>
		
		<body>
			<h1><xsl:value-of select="/scoreboard/contest/name/text()"/></h1>
			<h2>Standings as of <xsl:value-of select="/scoreboard/contest/time/text()"/>/<xsl:value-of select="/scoreboard/contest/duration/text()"/></h2>
			<table border="1">
				<thead>
					<tr>
						<th>Rank</th>
						<th>Team</th>
						<xsl:for-each select="/scoreboard/standings/header/problemid">
							<th>
								<xsl:value-of select="text()" />
							</th>
						</xsl:for-each>
						<th>Total</th>
					</tr>
				</thead>
				<tbody>
					<xsl:for-each select="scoreboard/standings/team">
					<!-- I could sort here, but we leave that to the server? -->
						<tr>
							<td><xsl:value-of select="place/text()"/></td>
							<td><xsl:value-of select="name/text()"/></td>
							<xsl:for-each select="result">
								<td class="problem">
									<xsl:value-of select="text()"/>
								</td>
							</xsl:for-each>
							<td><xsl:value-of select="total/text()"/></td>
						</tr>
					</xsl:for-each>
				</tbody>
			</table>
		</body>
	</html>
</xsl:template>
</xsl:stylesheet>
